//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLHHeadElement Interface
//**************************************************************************

function HTMLHeadElement()
{
   var tests = new Array (HTML0001HHDE());
   return tests;
}

//------------------------ test case HTML-0001HHDE -------------------------
//
// Testing feature - The "profile" attribute specifies a URI designating
//                   a metadata profile.
//
// Testing approach - Retrieve the "profile" attribute from the HTML 
//                    element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 1
//
// Last modification date - August 23, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HHDE()
 {
   var computedValue = "";
   var expectedValue = "./FILES/PROFILE";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HHDE");
    results.description = "The \"profile\" attribute specifies a URI "+
                          "designating a metadata profile.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(HEAD);
//
// and access its "profile" attribute.
//
      computedValue = testNode.node.profile;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HHDE -------------------------
