//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                             HTMLBRElement Interface
//**************************************************************************

function HTMLBRElement()
{
   var tests = new Array (HTML0001HBRE());
   return tests;
}

//------------------------ test case HTML-0001HBRE ------------------------
//
// Testing feature - The "clear" attribute of an HTMLBRElement
//                   interface.
//
// Testing approach - Retrieve the "clear" attribute from the second 
//                    BR element of the testing document and examine its
//                    value.
//
// Semantic Requirements: 1
//
// Last modification date - August 19, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HBRE()
 {
   var computedValue = "";
   var expectedValue = "NONE";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HBRE");
    results.description = "The \"clear\" attribute of the HTMLBRElement "+
                          "interface.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BR);
//
// and access its "clear" attribute.
//
      computedValue = testNode.node.clear;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HBRE -------------------------
//
