//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLMenuElement Interface
//**************************************************************************

function HTMLMenuElement()
{
   var tests = new Array (HTML0001ME());
   return tests;
}

//------------------------ test case HTML-0001ME -------------------------
//
// Testing feature - The "compact" attribute reduces spacing between list items.
//
// Testing approach - Retrieve the "compact" attribute of the first MENU
//                    element of the testing document and examine its 
//                    value.  It should be equal to true.
//
// Semantic Requirements: 1
//
// Last modification date - October 6, 1999
//
// Written by: Mark LaRoy Zimmerman
//-------------------------------------------------------------------------

 function HTML0001ME()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001ME");
    results.description = "The \"compact\" attribute reduces spacing "+
                          "between list items.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(MENU,FIRST);
//
// and access attribute.
//
      computedValue = testNode.node.compact;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001ME ------------------------
